Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.io
Class SCXMLDigester.DigestSrcAttributeRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.commons.scxml.io.SCXMLDigester.DigestSrcAttributeRule

Enclosing class:
  SCXMLDigester

Deprecated. Will be removed in version 1.0

public static class SCXMLDigester.DigestSrcAttributeRule
extends org.apache.commons.digester.Rule

Custom digestion rule for external sources, that is, the src attribute of the <state> element.

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SCXMLDigester.DigestSrcAttributeRule(List customActions, PathResolver pr)` Deprecated. Constructor.
`SCXMLDigester.DigestSrcAttributeRule(SCXML root, List customActions, PathResolver pr)` Deprecated. Constructor.

Method Summary
`void` | `begin(String namespace, String name, Attributes attributes)` Deprecated.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SCXMLDigester.DigestSrcAttributeRule

    public SCXMLDigester.DigestSrcAttributeRule(List customActions,
                                                PathResolver pr)

  Deprecated.
  Constructor.

Parameters:
  `pr` - The PathResolver
  `customActions` - The list of custom actions this digester needs to be able to process
See Also:
  `PathResolver`, `TODO: Remove in v1.0`

### SCXMLDigester.DigestSrcAttributeRule

    public SCXMLDigester.DigestSrcAttributeRule(SCXML root,
                                                List customActions,
                                                PathResolver pr)

  Deprecated.
  Constructor.

Parameters:
  `root` - The root document, if this one is src'ed in
  `pr` - The PathResolver
  `customActions` - The list of custom actions this digester needs to be able to process
See Also:
  `PathResolver`, `CustomAction`

Method Detail

### begin

    public final void begin(String namespace,
                            String name,
                            Attributes attributes)

  Deprecated.
  See Also:
    `Rule.begin(String, String, Attributes)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.